package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuCombineskuUpdateRequest struct {
	/*
	   请求参数     */
	ParamList *[]domain.AlibabaWdkSkuCombineskuUpdateSkuDo `json:"param_list,omitempty" required:"false" `
}

func (s *AlibabaWdkSkuCombineskuUpdateRequest) SetParamList(v []domain.AlibabaWdkSkuCombineskuUpdateSkuDo) *AlibabaWdkSkuCombineskuUpdateRequest {
	s.ParamList = &v
	return s
}

func (req *AlibabaWdkSkuCombineskuUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamList != nil {
		paramMap["param_list"] = util.ConvertStructList(*req.ParamList)
	}
	return paramMap
}

func (req *AlibabaWdkSkuCombineskuUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
